# BoundsSpecified

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the bounds of the control to use when defining a control's size and position.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BoundsSpecified : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BoundsSpecified As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                                                                              |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **All**      | Both [Location](/api/wisej.web/general/control.md#location) and [Size](/api/wisej.web/general/control.md#size) property values are defined.              |
| **Height**   | The height of the control is defined.                                                                                                                    |
| **Location** | Both X and Y coordinates of the control are defined.                                                                                                     |
| **None**     | No bounds are specified.                                                                                                                                 |
| **Size**     | Both [Width](/api/wisej.web/general/control.md#width) and [Height](/api/wisej.web/general/control.md#height) property values of the control are defined. |
| **Width**    | The width of the control is defined.                                                                                                                     |
| **X**        | The left edge of the control is defined.                                                                                                                 |
| **Y**        | The top edge of the control is defined.                                                                                                                  |

## Used By

| Name                                                                                                                                                                          | Description                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| [Control.SetBounds](/api/wisej.web/general/control.md#setbounds-x-y-width-height)                                                                                             | Sets the specified bounds of the control to the specified location and size. |
| [LayoutEngine.InitLayout](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web.layout/containers/layoutengine/layoutengine/README.md#initlayout-child-specified) | Initializes the layout engine.                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.boundsspecified.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
